function []=check_partial_derivatives()
format long g

%read in image observations

i_obs=[-50.8581	370.3454];


o=0.2;%omega
p=0.2;%phi
k=0.2;%kappa
X0=656.12;
Y0=491.86;
Z0=109.15;

c=1409;
X=650;
Y=520;
Z=10;

nof=0;
    %partial derivatives of collinearity equations, fx
    fx_d_o =make_fx_d_o(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fx_d_o>-277.441176516316+0.000000000001 || fx_d_o<-277.441176516316-0.000000000001
        'fx_d_o is incorrect and needs attention'
        nof=nof+1;
    end
    fx_d_p =make_fx_d_p(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fx_d_p>1411.60408320549+0.00000000001 || fx_d_p<1411.60408320549-0.00000000001
        'fx_d_p is incorrect and needs attention'
        nof=nof+1;
    end
    fx_d_k =make_fx_d_k(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fx_d_k>67.1726397358091+0.000000000001 || fx_d_k<67.1726397358091-0.000000000001
        'fx_d_k is incorrect and needs attention'
        nof=nof+1;
    end
    fx_d_X0=make_fx_d_X0(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fx_d_X0>-13.7002989276852+0.000000000001 || fx_d_X0<-13.7002989276852-0.000000000001
        'fx_d_X0 is incorrect and needs attention'
        nof=nof+1;
    end        
    fx_d_Y0=make_fx_d_Y0(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fx_d_Y0>-2.81171884677287+0.000000000001 || fx_d_Y0<-2.81171884677287-0.000000000001
        'fx_d_Y0 is incorrect and needs attention'
        nof=nof+1;
    end 
    fx_d_Z0=make_fx_d_Z0(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fx_d_Z0>0.0476455984795227+0.000000000001 || fx_d_Z0<0.0476455984795227-0.000000000001
        'fx_d_Y0 is incorrect and needs attention'
        nof=nof+1;
    end           
    %partial derivatives of collinearity equations, fy
    fy_d_o =make_fy_d_o(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fy_d_o>-1401.5830341464+0.00000000001 || fy_d_o<-1401.5830341464-0.00000000001
        'fy_d_o is incorrect and needs attention'
        nof=nof+1;
    end 
    fy_d_p =make_fy_d_p(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fy_d_p>-270.423610818375+0.000000000001 || fy_d_p<-270.423610818375-0.000000000001
        'fy_d_p is incorrect and needs attention'
        nof=nof+1;
    end 
    fy_d_k =make_fy_d_k(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fy_d_k>-216.971208347671+0.000000000001 || fy_d_k<-216.971208347671-0.000000000001
        'fy_d_k is incorrect and needs attention'
        nof=nof+1;
    end 
    fy_d_X0=make_fy_d_X0(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fy_d_X0>2.56054209511494+0.000000000001 || fy_d_X0<2.56054209511494-0.000000000001
        'fy_d_X0 is incorrect and needs attention'
        nof=nof+1;
    end 
    fy_d_Y0=make_fy_d_Y0(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fy_d_Y0>-13.0407078209101+0.000000000001 || fy_d_Y0<-13.0407078209101-0.000000000001
        'fy_d_Y0 is incorrect and needs attention'
        nof=nof+1;
    end 
    fy_d_Z0=make_fy_d_Z0(c,o,p,k,X0,Y0,Z0,X,Y,Z);
    if fy_d_Z0>-3.85916324460428+0.000000000001 || fy_d_Z0<-3.85916324460428-0.000000000001
        'fy_d_Z0 is incorrect and needs attention'
        nof=nof+1;
    end    

    if nof==0
        'Congratulations, all partial derivatives are in condition'
    else
        disp('You code has some problems. ')
    end
    
end

function [fx_d_o] = make_fx_d_o(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fy_d_o] = make_fy_d_o(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fx_d_p] = make_fx_d_p(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fy_d_p] = make_fy_d_p(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fx_d_k] = make_fx_d_k(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fy_d_k] = make_fy_d_k(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fx_d_X0] = make_fx_d_X0(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fy_d_X0] = make_fy_d_X0(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fx_d_Y0] = make_fx_d_Y0(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fy_d_Y0] = make_fy_d_Y0(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fx_d_Z0] = make_fx_d_Z0(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end
function [fy_d_Z0] = make_fy_d_Z0(c,o,p,k,X0,Y0,Z0,X,Y,Z)
end